-- phpMyAdmin SQL Dump
-- version 3.4.5
-- http://www.phpmyadmin.net
--
-- Client: localhost
-- Généré le : Lun 12 Octobre 2020 à 10:52
-- Version du serveur: 5.5.16
-- Version de PHP: 5.3.8

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `db_classer`
--

-- --------------------------------------------------------

--
-- Structure de la table `article`
--

CREATE TABLE IF NOT EXISTS `article` (
  `code_arti` varchar(30) NOT NULL,
  `prix_uni` decimal(9,2) NOT NULL,
  `benefice` decimal(9,2) NOT NULL,
  PRIMARY KEY (`code_arti`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Contenu de la table `article`
--

INSERT INTO `article` (`code_arti`, `prix_uni`, `benefice`) VALUES
('LAIT_GB', '3.75', '0.90'),
('NESCAFE_GB', '2.40', '0.53'),
('SUCRE_PQ', '1.50', '0.36'),
('YAOURT_GB', '0.75', '0.23');

-- --------------------------------------------------------

--
-- Structure de la table `vente`
--

CREATE TABLE IF NOT EXISTS `vente` (
  `id_vente` int(11) NOT NULL AUTO_INCREMENT,
  `code_article` varchar(30) NOT NULL,
  `quantite` int(11) NOT NULL,
  `date_vente` date NOT NULL,
  PRIMARY KEY (`id_vente`),
  KEY `fk` (`code_article`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=24 ;

--
-- Contenu de la table `vente`
--

INSERT INTO `vente` (`id_vente`, `code_article`, `quantite`, `date_vente`) VALUES
(1, 'YAOURT_GB', 6, '2020-10-12'),
(2, 'SUCRE_PQ', 2, '2020-10-12'),
(3, 'NESCAFE_GB', 1, '2020-10-12'),
(10, 'LAIT_GB', 2, '2020-10-11'),
(11, 'YAOURT_GB', 3, '2020-10-12'),
(12, 'YAOURT_GB', 4, '2020-10-11'),
(13, 'LAIT_GB', 7, '2020-10-09'),
(14, 'NESCAFE_GB', 2, '2020-10-12'),
(15, 'SUCRE_PQ', 5, '2020-10-12'),
(16, 'SUCRE_PQ', 12, '2020-09-30'),
(17, 'SUCRE_PQ', 3, '2020-10-12'),
(18, 'NESCAFE_GB', 2, '2020-10-12'),
(19, 'LAIT_GB', 3, '2020-10-12'),
(20, 'SUCRE_PQ', 5, '2020-10-11'),
(21, 'LAIT_GB', 2, '2020-10-11'),
(22, 'NESCAFE_GB', 1, '2020-10-11'),
(23, 'YAOURT_GB', 17, '2020-10-11');

-- --------------------------------------------------------

--
-- Doublure de structure pour la vue `vue1`
--
CREATE TABLE IF NOT EXISTS `vue1` (
`code_arti` varchar(30)
,`prix_uni` decimal(9,2)
,`benefice` decimal(9,2)
,`quantite` int(11)
,`date_vente` date
);
-- --------------------------------------------------------

--
-- Structure de la vue `vue1`
--
DROP TABLE IF EXISTS `vue1`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vue1` AS select `article`.`code_arti` AS `code_arti`,`article`.`prix_uni` AS `prix_uni`,`article`.`benefice` AS `benefice`,`vente`.`quantite` AS `quantite`,`vente`.`date_vente` AS `date_vente` from (`article` join `vente` on((`article`.`code_arti` = `vente`.`code_article`)));

--
-- Contraintes pour les tables exportées
--

--
-- Contraintes pour la table `vente`
--
ALTER TABLE `vente`
  ADD CONSTRAINT `fk` FOREIGN KEY (`code_article`) REFERENCES `article` (`code_arti`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
